## EogThumbNav EogThumbNav |

## Functions

GtkWidget * | eog_thumb_nav_new ()
gboolean | eog_thumb_nav_get_show_buttons ()
void | eog_thumb_nav_set_show_buttons ()
EogThumbNavMode | eog_thumb_nav_get_mode ()
void | eog_thumb_nav_set_mode ()

## Properties

gint | mode | Read / Write
gboolean | show-buttons | Read / Write
EogThumbView * | thumbview | Read / Write / Construct Only

## Types and Values

enum | EogThumbNavMode
struct | EogThumbNav

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EogThumbNav

## Implemented Interfaces

EogThumbNav implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### eog_thumb_nav_new ()

    GtkWidget *
    eog_thumb_nav_new (GtkWidget *thumbview,
                       EogThumbNavMode mode,
                       gboolean show_buttons);

Creates a new thumbnail navigation widget.

#### Parameters

thumbview | an EogThumbView to embed in the navigation widget. |
mode | The navigation mode. |
show_buttons | Whether to show the navigation buttons. |

#### Returns

a new EogThumbNav object.

### eog_thumb_nav_get_show_buttons ()

    gboolean
    eog_thumb_nav_get_show_buttons (EogThumbNav *nav);

Gets whether the navigation buttons are visible.

#### Parameters

nav | an EogThumbNav. |

#### Returns

`TRUE` if the navigation buttons are visible, `FALSE` otherwise.

### eog_thumb_nav_set_show_buttons ()

    void
    eog_thumb_nav_set_show_buttons (EogThumbNav *nav,
                                    gboolean show_buttons);

Sets whether the navigation buttons to the left and right of the widget should be visible.

#### Parameters

nav | an EogThumbNav. |
show_buttons | `TRUE` to show the buttons, `FALSE` to hide them. |

### eog_thumb_nav_get_mode ()

    EogThumbNavMode
    eog_thumb_nav_get_mode (EogThumbNav *nav);

Gets the navigation mode in `nav` .

#### Parameters

nav | an EogThumbNav. |

#### Returns

A value in EogThumbNavMode.

### eog_thumb_nav_set_mode ()

    void
    eog_thumb_nav_set_mode (EogThumbNav *nav,
                            EogThumbNavMode mode);

Sets the navigation mode in `nav` . See EogThumbNavMode for details.

#### Parameters

nav | An EogThumbNav. |
mode | One of EogThumbNavMode. |

## Types and Values

### enum EogThumbNavMode

#### Members

EOG_THUMB_NAV_MODE_ONE_ROW |  |
EOG_THUMB_NAV_MODE_ONE_COLUMN |  |
EOG_THUMB_NAV_MODE_MULTIPLE_ROWS |  |
EOG_THUMB_NAV_MODE_MULTIPLE_COLUMNS |  |

### struct EogThumbNav

    struct EogThumbNav;

## Property Details

### The `“mode”` property

      “mode”                     gint

Thumb navigator mode.

Flags: Read / Write

Allowed values: [0,2]

Default value: 0

### The `“show-buttons”` property

      “show-buttons”             gboolean

Whether to show navigation buttons or not.

Flags: Read / Write

Default value: TRUE

### The `“thumbview”` property

      “thumbview”                EogThumbView *

The internal thumbnail viewer widget.

Flags: Read / Write / Construct Only